Subject: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jun 2015 05:36:06 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 28 Jun 2015 23:31:30 +0300
> 
> On 06/28/2015 11:28 PM, Eli Zaretskii wrote:
> 
> > See cedet/semantic/symref/grep.el for when we don't want 'always'.
> 
> We don't want `auto' there either, do we?

I think 'auto' does TRT there.

> >> Do we even have Grep-related commands that use a pipeline that doesn't
> >> end with Grep?
> >
> > I don't know.
> 
> So I propose to eliminate the value `auto'. It seems we only had it as a 
> maybe-solution for third-party code not to have to recompute the Grep 
> defaults with grep-highlight-matches set to nil.
> 
> But now we can simply bind it to nil.

We could, if we want to test Grep's output ourselves.  That is, we
will have to decide when to bind it to nil and when to non-nil,
depending on the device/file used as Grep's output (which is
system-dependent).